Installation on Mac OS 11.7.10

Discussion in 'Installation and Configuration of Parallels Desktop' started by HolgerK6, Jan 15, 2024.

  1. HolgerK6

    HolgerK6 Bit poster

    Messages:
    3
    Good morning,

    I want to install Parallels on an iMac with the Version Big Sur 11.7.10. The setup fails with an error
    message "you need the version 12 for this installation"! Unfortunaly the Mac is allready on the acutual
    OS Version!
    What do wee need to do with the installtion Version 19 on the computer.

    Thank you in advance for the help
     
  2. Adeboye Adeotan

    Adeboye Adeotan Staff Member

    Messages:
    333
    Hello HolgerK6,

    Please be informed that Parallels Desktop 19 is not compatible with MacOS Big Sur. The latest compatible version is version 18.
    You may find more information on MacOS compatibility here: https://kb.parallels.com/en/114381

    Kindly download Parallels Desktop 18 using the link provided below:
    https://link.parallels.com/link/647d9b87kOse/?
     
  3. HolgerK6

    HolgerK6 Bit poster

    Messages:
    3
    But we have purchased the actual Version 19. Is here an Downgrade possible
     

Share This Page